be.fgov.ehealth.ehbox.consultation.protocol.v3

## Class GetFullMessageRequest

- java.lang.Object
- - be.fgov.ehealth.ehbox.consultation.protocol.v3.MessageRequestType
  - - be.fgov.ehealth.ehbox.consultation.protocol.v3.GetFullMessageRequest

- All Implemented Interfaces:
    Serializable

      public class GetFullMessageRequest
      extends MessageRequestType

  Java class for MessageRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BoxId" type="{urn:be:fgov:ehealth:ehbox:core:v3}BoxIdType" minOccurs="0"/>
               <element name="Source">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="INBOX"/>
                     <enumeration value="SENTBOX"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="MessageId" type="{urn:be:fgov:ehealth:ehbox:core:v3}MessageIdType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetFullMessageRequest()`

  - ### Method Summary

    - ### Methods inherited from class be.fgov.ehealth.ehbox.consultation.protocol.v3.MessageRequestType

      `getBoxId, getMessageId, getSource, setBoxId, setMessageId, setSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetFullMessageRequest

          public GetFullMessageRequest()

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.